Skip to content
Docs

Delete one or more Env Var

DELhttps://api.vercel.com/v1/env
Deletes one or many Shared Environment Variables for a given team.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.environment.deleteSharedEnvVariable({
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
requestBody: {
ids: [
"env_abc123",
"env_abc124",
],
},
});
console.log(result);
}
run();
Response
{
"deleted": [],
"failed": [
{
"error": {
"code": "string",
"message": "string",
"key": "string",
"envVarId": "example_id",
"envVarKey": "string",
"action": "string",
"link": "string",
"value": "string",
"gitBranch": "string",
"target": [],
"project": "string"
}
}
]
}
AuthorizationbearerToken

Default authentication mechanism

teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
idsarrayRequired
IDs of the Shared Environment Variables to delete
200Success
deletedarrayRequired
failedarrayRequired
400One of the provided values in the request body is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
410Error